/*****************************************************************************
 * Copyright (c) 2019, Nsing Technologies Pte. Ltd
 *
 * All rights reserved.
 * ****************************************************************************
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Nsing' name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY Nsing "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL Nsing BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ****************************************************************************/

/**
 * @file n32g031_dbg.h
 * @author Nsing
 * @version v1.0.0
 *
 * @copyright Copyright (c) 2019, Nsing Technologies Pte. Ltd All rights reserved.
 */
#ifndef __N32G031_DBG_H__
#define __N32G031_DBG_H__

#ifdef __cplusplus
extern "C"
{
#endif

#include "n32g031.h"

    /** @addtogroup N32G031_StdPeriph_Driver
     * @{
     */

    /** @addtogroup DBG
     * @{
     */

    /** @addtogroup DBGMCU_Exported_Types
     * @{
     */

    /**
     * @}
     */

    /** @addtogroup DBGMCU_Exported_Constants
     * @{
     */

    /** @addtogroup DBGMCU_Exported_Macros
     * @{
     */

    /**
     * @}
     */

    /** @addtogroup DBGMCU_Exported_Functions
     * @{
     */

    void GetUCID(uint8_t *UCIDbuf);
    void GetUID(uint8_t *UIDbuf);
    void GetDBGMCU_ID(uint8_t *DBGMCU_IDbuf);

#ifdef __cplusplus
}
#endif

#endif /* __N32G031_DBG_H__ */
/**
 * @}
 */

/**
 * @}
 */

/**
 * @}
 */
